import type { FilesystemTools } from '../../execution/FilesystemTools';
import type { PipelineJson } from '../../pipeline/PipelineJson/PipelineJson';
import type { string_filename } from '../../types/typeAliases';
/**
 * Loads the books from the archive file with `.bookc` extension
 *
 * @param filePath Path to the archive file with `.bookc` extension
 * @param fs Filesystem tools
 * @returns Pipelines loaded from the archive
 *
 * @private utility of Prompbook
 */
export declare function loadArchive(filePath: string_filename, fs: FilesystemTools): Promise<ReadonlyArray<PipelineJson>>;
/**
 * Note: [🟢] Code in this file should never be never released in packages that could be imported into browser environment
 */
