import type { ReadonlyDeep } from 'type-fest';
import type { PipelineJson } from '../../pipeline/PipelineJson/PipelineJson';
import type { TaskJson } from '../../pipeline/PipelineJson/TaskJson';
import type { string_markdown } from '../../types/typeAliases';
import type { string_parameter_value } from '../../types/typeAliases';
import type { ExecutionTools } from '../ExecutionTools';
/**
 * @@@
 *
 * @private internal type of `getKnowledgeFoTask`
 */
type GetKnowledgeForTaskOptions = {
    /**
     * The execution tools to be used during the execution of the pipeline
     */
    readonly tools: ExecutionTools;
    /**
     * @@@
     */
    readonly preparedPipeline: ReadonlyDeep<PipelineJson>;
    /**
     * @@@
     */
    readonly task: ReadonlyDeep<TaskJson>;
};
/**
 * @@@
 *
 * Here is the place where RAG (retrieval-augmented generation) happens
 *
 * @private internal utility of `createPipelineExecutor`
 */
export declare function getKnowledgeForTask(options: GetKnowledgeForTaskOptions): Promise<string_parameter_value & string_markdown>;
export {};
/**
 * TODO: !!!! Verify if this is working
 * TODO: [♨] Implement Better - use keyword search
 * TODO: [♨] Examples of values
 */
