import type { AvailableModel } from '../../execution/AvailableModel';
import type { number_usd } from '../../types/typeAliases';
/**
 * List of available Deepseek models with descriptions
 *
 * Note: Done at 2025-04-22
 *
 * @see https://www.deepseek.com/models
 * @public exported from `@promptbook/deepseek`
 */
export declare const DEEPSEEK_MODELS: ReadonlyArray<AvailableModel & {
    modelDescription?: string;
    pricing?: {
        readonly prompt: number_usd;
        readonly output: number_usd;
    };
}>;
/**
 * TODO: [🧠] Add information about context window sizes, capabilities, and relative performance characteristics
 * TODO: [🎰] Some mechanism to auto-update available models
 * TODO: [🧠] Verify pricing information is current with Deepseek's official documentation
 * Note: [💞] Ignore a discrepancy between file name and entity name
 */
